/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-08-30 10:20:52Z
 *****************************************************************************/

#ifndef __RSDSA_ATTRIBUTES_HEADER
#define __RSDSA_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsdsa_logging_ReadCallback(ViSession          io,
                                    ViConstString      repCapName,
                                    RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsdsa_ZeroCommaString_WriteCallback(ViSession          io,
                                             ViConstString      repCapName,
                                             RsCoreAttributePtr attr,
                                             void               *value);

ViStatus rsdsa_logging_WriteCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr,
                                     void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisMode;
extern RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisTestDepth;
extern RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisBERSource;
extern RsCoreRangeTableDiscrete RsDSA_rngErrorAnalysisTestDepthSource;
extern RsCoreRangeTableDiscrete RsDSA_rngReferenceMarker;
extern RsCoreRangeTableDiscrete RsDSA_rngInstrumentMode;
extern RsCoreRangeTableDiscrete RsDSA_rngCaptureMode;
extern RsCoreRangeTableDiscrete RsDSA_rngDetector;
extern RsCoreRangeTableDiscrete RsDSA_rngTraceHold;
extern RsCoreRangeTableDiscrete RsDSA_rngACPFrequencyGridSpacing;
extern RsCoreRangeTableRanged RsDSA_rngACPReferenceChannel;
extern RsCoreRangeTableDiscrete RsDSA_rngIQDensityMode;
extern RsCoreRangeTableRanged RsDSA_rngIQSlidingWindow;
extern RsCoreRangeTableRanged RsDSA_rngIQZoomOrigin;
extern RsCoreRangeTableRanged RsDSA_rngIQZoomLevel;
extern RsCoreRangeTableDiscrete RsDSA_rngTimePlotFilterPeriod;
extern RsCoreRangeTableDiscrete RsDSA_rngD31UPlotDataFilter;
extern RsCoreRangeTableDiscrete RsDSA_rngD31DProfileFilter;
extern RsCoreRangeTableDiscrete RsDSA_rngDataFilterIUC;
extern RsCoreRangeTableDiscrete RsDSA_rngCodewordLength;
extern RsCoreRangeTableDiscrete RsDSA_rngEqualizerState;
extern RsCoreRangeTableDiscrete RsDSA_rngSlope;
extern RsCoreRangeTableDiscrete RsDSA_rngPolarity;
extern RsCoreRangeTableDiscrete RsDSA_rngUSBDrive;
extern RsCoreRangeTableRanged RsDSA_rngUDPPort;
extern RsCoreRangeTableDiscrete RsDSA_rngPayloadCaptureFilterProfile;
extern RsCoreRangeTableRanged RsDSA_rng20MB;
extern RsCoreRangeTableDiscrete RsDSA_rngLockStatus;
extern RsCoreRangeTableRanged RsDSA_rngChannelID;
extern RsCoreRangeTableDiscrete RsDSA_rngChannelModulation;
extern RsCoreRangeTableDiscrete RsDSA_rngED30Modulation;
extern RsCoreRangeTableDiscrete RsDSA_rngChannelAcquisitionMode;
extern RsCoreRangeTableDiscrete RsDSA_rngOFDMFFTSize;
extern RsCoreRangeTableDiscrete RsDSA_rngOFDMAFFTSize;
extern RsCoreRangeTableDiscrete RsDSA_rngCyclicPrefixLength;
extern RsCoreRangeTableDiscrete RsDSA_rngD31DCyclicPrefixLength;
extern RsCoreRangeTableDiscrete RsDSA_rngFECAnnex;
extern RsCoreRangeTableDiscrete RsDSA_rngRollOffPeriod;
extern RsCoreRangeTableRanged RsDSA_rngTimeInterleaverDepth;
extern RsCoreRangeTableDiscrete RsDSA_rngChannelPhaseTrackingLoopBandwidth;
extern RsCoreRangeTableDiscrete RsDSA_rngD30Interleaver;
extern RsCoreRangeTableRanged RsDSA_rngMERBursts;
extern RsCoreRangeTableDiscrete RsDSA_rngPrefilterLength;
extern RsCoreRangeTableDiscrete RsDSA_rngMinislotConfigMode;
extern RsCoreRangeTableRanged RsDSA_rngPilotPattern;
extern RsCoreRangeTableRanged RsDSA_rngStartingMinislot;
extern RsCoreRangeTableRanged RsDSA_rngSymbolsPerFrame;
extern RsCoreRangeTableRanged RsDSA_rngInitialRangingNumberOfSubcarriers;
extern RsCoreRangeTableRanged RsDSA_rngInitialRangingPreambleLength;
extern RsCoreRangeTableRanged RsDSA_rngPreambleOffset;
extern RsCoreRangeTableRanged RsDSA_rngFineRangingStartingMinislot;
extern RsCoreRangeTableRanged RsDSA_rngFineRangingNumberOfMinislots;
extern RsCoreRangeTableRanged RsDSA_rngFineRangingNumberOfSubcarriers;
extern RsCoreRangeTableRanged RsDSA_rngWidebandProbeStartSubcarrier;
extern RsCoreRangeTableRanged RsDSA_rngWidebandProbeSymbolInFrame;
extern RsCoreRangeTableRanged RsDSA_rngBWRequestNumberOfMinislots;
extern RsCoreRangeTableRanged RsDSA_rngFirstSubcarrier;
extern RsCoreRangeTableDiscrete RsDSA_rngD30ASymbolRate;
extern RsCoreRangeTableRanged RsDSA_rngFECParameterT;
extern RsCoreRangeTableRanged RsDSA_rngFECParameterK;
extern RsCoreRangeTableDiscrete RsDSA_rngLastCodewordLength;
extern RsCoreRangeTableRanged RsDSA_rngPreambleLength;
extern RsCoreRangeTableDiscrete RsDSA_rngPreambleType;
extern RsCoreRangeTableDiscrete RsDSA_rngReedSolomonMode;
extern RsCoreRangeTableRanged RsDSA_rngGuardTimeSize;
extern RsCoreRangeTableCoerced RsDSA_rngMinislotSize;
extern RsCoreRangeTableDiscrete RsDSA_rngChannelSchedule;
extern RsCoreRangeTableRanged RsDSA_rngD31USubcarrier;
extern RsCoreRangeTableRanged RsDSA_rngChannelUCID;
extern RsCoreRangeTableRanged RsDSA_rngAlarmThreshold;
extern RsCoreRangeTableRanged RsDSA_rngFrequencySpan;
extern RsCoreRangeTableRanged RsDSA_rngRBW;
extern RsCoreRangeTableRanged RsDSA_rngAveragesCount;
extern RsCoreRangeTableRanged RsDSA_rngVBW;
extern RsCoreRangeTableRanged RsDSA_rng16bit;
extern RsCoreRangeTableDiscrete RsDSA_rngPowerUnits;
extern RsCoreRangeTableDiscrete RsDSA_rngMERSign;
extern RsCoreRangeTableDiscrete RsDSA_rngSystemPreset;
extern RsCoreRangeTableDiscrete RsDSA_rngD30DModulation;
extern RsCoreRangeTableDiscrete RsDSA_rngJQDRollOff;
extern RsCoreRangeTableRanged RsDSA_rngSymbolRate;
extern RsCoreRangeTableDiscrete RsDSA_rngD30JModulation;
extern RsCoreRangeTableDiscrete RsDSA_rngJQDModulation;
extern RsCoreRangeTableRanged RsDSA_rngD31CenterFrequency;
extern RsCoreRangeTableRanged RsDSA_rngDSAttenuation;
extern RsCoreRangeTableDiscrete RsDSA_rngD31DPlotDataFilter;
extern RsCoreRangeTableDiscrete RsDSA_rngD30AModulation;
extern RsCoreRangeTableRanged RsDSA_rngReedSolomonInterleaverBlockSize;
extern RsCoreRangeTableRanged RsDSA_rngReedSolomonInterleaverDepth;
extern RsCoreRangeTableRanged RsDSA_rngUSAttenuation;
extern RsCoreRangeTableRanged RsDSA_rngD31UNumberOfMinislots;
extern RsCoreRangeTableRanged RsDSA_rngLastSubcarrier;
extern RsCoreRangeTableRanged RsDSA_rngInitialRangingStartingMinislot;
extern RsCoreRangeTableRanged RsDSA_rngInitialRangingNumberOfMinislots;
extern RsCoreRangeTableRanged RsDSA_rngWidebandProbeSubcarrierSkip;
extern RsCoreRangeTableRanged RsDSA_rngBWRequestSubslot;
extern RsCoreRangeTableDiscrete RsDSA_rngDownstreamMode;
extern RsCoreRangeTableDiscrete RsDSA_rngUpstreamMode;
extern RsCoreRangeTableRanged RsDSA_rngSFDPilotFrequency;
extern RsCoreRangeTableDiscrete RsDSA_rngNetworkType;
extern RsCoreRangeTableDiscrete RsDSA_rngSFPPlusDataRate;
extern RsCoreRangeTableDiscrete RsDSA_rngSFDNetworkOption;
extern RsCoreRangeTableRanged RsDSA_rngD30ACenterFrequency;
extern RsCoreRangeTableDiscrete RsDSA_rngD31UDataFilterIUC;
extern RsCoreRangeTableDiscrete RsDSA_rngDUANDownstreamMode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_EURODOCSIS30_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_DECODER_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_MPEG_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_SIGNAL_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_SYMBOL_CLOCK_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CHANNEL_BIT_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_INTERLEAVER;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_MER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_MER_RMS_COMPENSATED_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_MER_RMS_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_ED30_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_SPECTRAL_INVERSION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_QUERY_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_ASI_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ED30_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DOCSIS30_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_DECODER_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_MPEG_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_SIGNAL_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_SYMBOL_CLOCK_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CHANNEL_BIT_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_INTERLEAVER;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_MER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_MER_RMS_COMPENSATED_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_MER_RMS_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_PRE_VITERBI_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_POST_VITERBI_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D30D_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_SPECTRAL_INVERSION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_QUERY_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_ASI_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_PRE_VITERBI;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_VITERBI;
extern RsCoreAttribute g_RSDSA_ATTR_D30D_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_SC_QAM_J83C_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_DECODER_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_MPEG_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_SIGNAL_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_SYMBOL_CLOCK_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CHANNEL_BIT_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_INTERLEAVER;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_MER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_MER_RMS_COMPENSATED_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_MER_RMS_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D30J_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_SPECTRAL_INVERSION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_QUERY_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_ASI_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30J_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_J83QAM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_DECODER_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_MPEG_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_SIGNAL_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_SYMBOL_CLOCK_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CHANNEL_BIT_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_INTERLEAVER;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_MER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_MER_RMS_COMPENSATED_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_MER_RMS_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_JQD_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_FEC;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_SYMBOL_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ROLL_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_SPECTRAL_INVERSION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_QUERY_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_ASI_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_CONFIGURE_PHASE_TRACKING_LOOP_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_JQD_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_PROFILE_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PLC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_SIGNAL_POWER_PER_6MHZ;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_SYMBOL_CLOCK_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_NCP_CRC_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PAYLOAD_DATA_RATE_PROFILE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_MER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_RMS_COMPENSATED_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_RMS_PARTIALY_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_RMS_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_A_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_A_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PROFILE_FILTER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_FILTER_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PLC_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_PLC_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PLC_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_NCP_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_NCP_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_NCP_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_RMS_COMPENSATED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_MER_ZERO_BIT_LOADED_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_BER_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_BER_PLC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_BER_PLC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_BER_NCP;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_BER_NCP_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_CER_PLC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_CER_PLC_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_CER_NCP;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_CER_NCP_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_BER_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ERROR_ANALYSIS_PROFILE_TEST_DEPTH_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_PRE_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_BER_POST_BCH_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_LDPC_CODEWORD_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_POST_BCH_CODEWORD_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_PAYLOAD_PER_CODEWORD;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_PROFILE_CER_AVG_LDPC_ITERATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D31D_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_MER_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_DISPLAY_SPECTRUM_ANALYSIS_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_AMPLITUDE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CONFIGURE_DISPLAY_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_DISPLAY_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SPECTRUM_ANALYSIS_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CAPTURE_PAYLOAD_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_PAYLOAD_DATA_EXPORT_MAX_FILE_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_PLOT_DATA_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_QUERY_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_PREFILTER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_ACQUISITION_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PLC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_CONFIGURE_SFP_PROFILE_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_POST_BCH;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_PLC;
extern RsCoreAttribute g_RSDSA_ATTR_D31D_ALARM_THRESHOLD_BER_NCP;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DOWNSTREAM_SPECTRUM_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CLEAR_ALL_DISPLAY_STATES;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_START_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_STOP_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_FULL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SET_FREQUENCY_SPAN_MINIMUM;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_RBW_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_RBW;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_VBW_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_VBW;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_DETECTOR;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_TRACE_HOLD;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_GRID_SPACING;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_ACP_REFERENCE_CHANNEL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_QUERY_ACP_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DS_SPECAN_SAVE_ACP_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_STORE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_CLEAR;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_DISPLAY_STATE_RECALL;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_DS_SPECAN_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DS_SPECAN_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DOCSIS_30_ATDMA_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_MAP_GEN_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BURST_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_FEC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BURST_RECEIVE_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_SIGNAL_POWER_PER_1600KHZ;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BURST_TIMING_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_PAYLOAD_DATA_RATE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_MINISLOTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BURST_COVERAGE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_MER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_MER_IUC_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_MER_IUC_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_DB;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_EXPECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_BURSTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CER_CODEWORD_COVERAGE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D30A_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_T;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_FEC_PARAMETER_K;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_LAST_CODEWORD_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_PREAMBLE_TYPE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SCRAMBLER_SEED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_GUARD_TIME_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_MINISLOT_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_EQUALIZER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_GRANT_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_STARTING_MINISLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SCHEDULING;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_REPEAT_INTERVAL;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_NUMBER_OF_BURSTS;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_RANGING_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_UNTIMED_BURST_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_INPUT_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_D30A_CONFIGURE_MER_BURSTS;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DOCSIS_31_OFDMA_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MAP_GEN_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BURST_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_FEC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_READ_BURST_RECEIVE_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_SIGNAL_POWER_PER_1600KHZ;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BURST_TIMING_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_PAYLOAD_DATA_RATE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MINISLOTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BURST_COVERAGE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_RMS_PARTIALY_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_COMPLEMENTARY_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_MER_MAP_GEN_IUC_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_IUC_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_EXPECTED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_BURSTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_CODEWORD_LENGTH_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CER_POST_LDPC_CODEWORD_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CER_AVERAGE_LDPC_ITERATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CER_CODEWORD_COVERAGE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D31U_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_MER_VS_MINISLOT_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_DISPLAY_SPECTRUM_ANALYSIS_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AMPLITUDE_CONFIGURE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CONFIGURE_TRACE_HOLD;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SPECTRUM_ANALYSIS_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_D31U_SPECTRUM_ANALYSIS_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_PLOT_DATA_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_ROLL_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SYMBOLS_PER_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_RANDOMIZER_SEED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_START;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_PILOT_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_STARTING_MINISLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_BW_REQUEST_SUBSLOT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SIGNAL_PATH_PREFILTER_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SCHEDULING_REPEAT_INTERVAL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_INPUT_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_ALARM_THRESHOLD_BER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_D31U_CONFIGURE_MER_BURSTS;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_UPSTREAM_SPECTRUM_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CLEAR_ALL_DISPLAY_STATES;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_START_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_STOP_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_FULL;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SET_FREQUENCY_SPAN_MINIMUM;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SWEEP_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ZERO_SPAN_SAMPLE_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_START_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_STOP_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_SPOT_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_INTEGRATED_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_QUERY_PHASE_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CCDF_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_RBW_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_RBW;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_VBW_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_VBW;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_AUTO_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_DETECTOR;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_TRACE_HOLD;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_ACP_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CONFIGURE_PHASE_NOISE_MODE_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_MARKER_TO_TRIGGER_POINT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_ZERO_SPAN_DELTA_MARKER_TO_TRIGGER_POINT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_STORE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_CLEAR;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_DISPLAY_STATE_RECALL;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_US_SPECAN_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_US_SPECAN_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DYNAMIC_UPSTREAM_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_RESTART_DISTANCE_ESTIMATION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_FILTER_SID;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FEC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MPEG_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PLC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_RECEIVE_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_TIMING_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PAYLOAD_DATA_RATE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MINISLOTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BURST_COVERAGE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_MER_FILTERED_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_CHANNEL_ID;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_UPSTREAM_CHANNEL_ID;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_EXPECTED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_BURSTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_PRE_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_BER_IUC_POST_LDPC_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_AVG_PAYLOAD_PER_CODEWORD_PER_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CER_CODEWORD_COVERAGE_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_TRACE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_DU_ANALYSIS_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_STANDARD;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_DOWNSTREAM_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_CHANNEL_ID;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_UPSTREAM_TRAFFIC_DETECTED_THRESHOLD;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_DU_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_DYNAMIC_SFD_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FEC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_RECEIVE_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_TIMING_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MINISLOTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BURST_COVERAGE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_SFD_PILOT_ACQUIRED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DETECTED_UPSTREAM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_RMS_PARTIALY_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_MER_COMPLEMENTARY_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_DB;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_RESET_ERROR_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_ELAPSED_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BLOCKS_PROCESSED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_EXPECTED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_BURSTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_ERROR_ANALYSIS_TEST_DEPTH_PROGRESSION_SOURCE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_PRE_REED_SOLOMON_TOTAL_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_CORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_BER_POST_REED_SOLOMON_UNCORRECTED_BITS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CODEWORD_LENGTH_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_TOTAL_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_CORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_UNCORRECTED_CODEWORDS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_POST_LDPC_CODEWORD_ERRORS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CER_AVERAGE_LDPC_ITERATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_MER_VS_MINISLOT_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_DISPLAY_SPECTRUM_ANALYSIS_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_CLEAR_ALL_MASKS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DISPLAY_ALL_MASKS_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SCALE_PER_DIVISION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_AUTO_SCALE_Y_AXIS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_AUTO_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_MANUAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_TRACE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_CAPTURE_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_RUN_SINGLE_SWEEP;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_LINKED_REFERENCE_MARKER;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_ABSOLUTE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_RELATIVE_X_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_Y_POSITION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_MAXIMUM_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_LEFT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_TO_NEXT_POINT_RIGHT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_SET_POWER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SPECTRUM_ANALYSIS_DELTA_MARKER_BANDWIDTH_POWER_RESULT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_MASK_VISIBLE;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CLEAR_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_LOWER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SFD_ANALYSIS_MASK_UPPER_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFD_PILOT_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_PLOT_DATA_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_RMS_MER_OVERALL;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_REED_SOLOMON;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_PRE_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_SFD_ANALYSIS_ALARM_THRESHOLD_BER_POST_LDPC;
extern RsCoreAttribute g_RSDSA_ATTR_ENABLE_CM_RANGING_ANALYSIS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_DEMODULATOR_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_FEC_LOCK_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_RECEIVE_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_TIMING_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MINISLOTS_RECEIVED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_BURST_COVERAGE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_SIGN;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_RMS_PARTIALY_EQUALIZED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_COMPLEMENTARY_PILOT_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_COMPLEMENTARY_PILOT_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_RMS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_MER_IUC_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_IUC_CONSTELLATIONS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_DB;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_AMPLITUDE_PERCENT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_IQ_IMBALANCE_QUADRATURE_ERROR;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_CONSTELLATION_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_I_Q_DENSITY_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_I_Q_WINDOW_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_CM_RANGING_DISPLAY_I_Q_ZOOM;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CAPTURE_IQ_DATA_TO_FILENAME;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_MAX_SAMPLES;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_IQ_DATA_EXPORT_TIMEOUT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_MER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_BER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_BER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_POWER_VS_TIME_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_POWER_VS_TIME_PLOT_FILTER_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_MER_VS_MINISLOT_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_CCDF_HISTOGRAM;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_CCDF_PEAK;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_PHASE_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_AUTO_SCALE_AMPLITUDE_GROUP_DELAY_VS_SUBCARRIER_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_ECHO_PATTERN_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_DISPLAY_SPECTRUM_ANALYSIS_PLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_SYSTEM_ACQUISITION_LOG_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_PLOT_DATA_FILTER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_FEC;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFD_DOWNSTREAM_TRANSMIT_POWER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ASI_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_ED30_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30D_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_CONFIGURE_CHANNEL_INTERLEAVER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30J_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_0_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_TIME_INTERLEAVER_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31D_CONFIGURE_SUBCARRIER_CONFIG_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_QUERY_DOWNSTREAM_EQUALIZER_COEFFICIENTS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_DOWNSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PLOT_DATA_FILTER_IUC;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_CHANNEL_SYMBOL_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_T;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_FEC_PARAMETER_K;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_LAST_CODEWORD_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_PREAMBLE_TYPE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_SCRAMBLER_SEED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_GUARD_TIME_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_DEPTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_REED_SOLOMON_INTERLEAVER_BLOCK_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D30A_CONFIGURE_MINISLOT_SIZE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FREQUENCY;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_ROLL_OFF;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SYMBOLS_PER_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_RANDOMIZER_SEED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_START;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_EXCLUSION_BAND_WIDTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_MINISLOT_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_CONSTELLATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_PILOT_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_STARTING_MINISLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FIRST_ACTIVE_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_LAST_ACTIVE_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_STARTING_MINISLOT_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_INITIAL_RANGING_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_STARTING_MINISLOT_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_PATTERN;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_FINE_RANGING_PREAMBLE_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_START_SUBCARRIER;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SUBCARRIER_SKIP;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_STAGGER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_WIDEBAND_PROBE_SYMBOL_IN_FRAME;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_NUMBER_OF_MINISLOTS;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_D31U_CONFIGURE_BW_REQUEST_SUBSLOT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_SFP_IUC_UDP_PORT_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_UPSTREAM_AUTO_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_CM_RANGING_CONFIGURE_UPSTREAM_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_DETECT_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_UPSTREAM_DETECT_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_UPSTREAM_ATTENUATION;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_OFFSET_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_UPSTREAM_OFFSET_LEVEL;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_DOWNSTREAM_PREAMPLIFIER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_UPSTREAM_PREAMPLIFIER_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_RF_INPUT_OPTIMIZE_MER;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_POLARITY;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_RESTART;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_INPUT_GENERATE_PULSE;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_OUTPUT_STATE;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_OUTPUT_OFFSET;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_OUTPUT_POLARITY;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_OUTPUT_PULSE_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_TRIGGER_OUTPUT_CYCLE_PERIOD;
extern RsCoreAttribute g_RSDSA_ATTR_INSTRUMENT_MODE;
extern RsCoreAttribute g_RSDSA_ATTR_INSTRUMENT_MODE_STATUS;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_FIRMWARE_UPDATE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SYSTEM_DATE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SYSTEM_TIME;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_REBOOT;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_PRESET_STORE;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_REMOTE_DESKTOP;
extern RsCoreAttribute g_RSDSA_ATTR_POWER_UNITS;
extern RsCoreAttribute g_RSDSA_ATTR_MEMORY_FILE_CATALOG_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_FILE_CATALOG;
extern RsCoreAttribute g_RSDSA_ATTR_MEMORY_CURRENT_DIRECTORY;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_COPY_FILE_OR_DIRECTORY;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_MOVE_FILE_OR_DIRECTORY;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_READ_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_MEMORY_DIRECTORY_CATALOG_LENGTH;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_SUBDIRECTORY_CATALOG;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_DELETE_DIRECTORY;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_LOAD_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSDSA_ATTR_MEMORY_LOAD_FACTORY_CONFIGURATION;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_SCREEN_CAPTURE;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_SAVE_IQ_CONSTELLATION_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_STORE_TRACE_DATA;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_MEMORY_EJECT_USB;
extern RsCoreAttribute g_RSDSA_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSDSA_ATTR_QUERY_EVENT_STATUS_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_OPERATION_ENABLE_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_QUERY_OPERATIONAL_STATUS_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_QUERY_OPERATION_EVENT_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_QUESTIONABLE_ENABLE_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_QUERY_QUESTIONABLE_STATUS_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_QUERY_QUESTIONABLE_EVENT_REGISTER;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_NETWORK_RESET;
extern RsCoreAttribute g_RSDSA_ATTR_HIDDEN_SYSTEM_CONFIGURE_NETWORK;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_NETWORK_TYPE;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_QUERY_DSA_MAC_ADDRESS;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_IP_ADDRESS;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_SUBNET_MASK;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_GATEWAY;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DESTINATION_IP_ADDRESS;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFP_PLUS_DATA_RATE;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_NETWORK_OPTION;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_HOST_NAME;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_CONFIGURE_SFD_IP_ADDRESS;
extern RsCoreAttribute g_RSDSA_ATTR_PRESET_DEVICE;
extern RsCoreAttribute g_RSDSA_ATTR_RESET;
extern RsCoreAttribute g_RSDSA_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSDSA_ATTR_LOGGING;
extern RsCoreAttribute g_RSDSA_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_COUNT;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_QUERY_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_QUERY_LIST;
extern RsCoreAttribute g_RSDSA_ATTR_QUEUE_NEXT;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_QUERY_CODE_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_QUERY_CODE;
extern RsCoreAttribute g_RSDSA_ATTR_ERROR_CLEAR_ALL;
extern RsCoreAttribute g_RSDSA_ATTR_SYSTEM_VERSION;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsdsa_RsCoreRepCapTable[];
extern ViInt32 rsdsa_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsdsa_RsCoreAttributeList[];
extern ViInt32 rsdsa_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSDSA_ATTRIBUTES_HEADER */
